
# NtrQQ

`NtrQQ`是一款为`QQ/TIM PC版`打造的一款集显IP、去广告、功能增强等功能于一体的辅助插件，使用`NtrQQ`可以让你的`PCQQ/TIM`更实用、更好用。

- 本软件是开发者业余时间为了研究技术兴趣制作的免费软件，由于开发者平时较长时间都是在学校度过，佛系更新，请勿催更请勿骚扰。
- 欢迎进入[社区](https://iya.app)（iya.app）以及[电报群](http://bit.ly/2IgAcvP)，与其他志同道合的朋友交流使用心得。

# License

- 下述 **本软件** 为 **NtrQQ** 插件的略称
- 本软件的开发、制作和分享仅为了学习和研究 QQPC 版软件内含的设计思想和原理，因兴趣而开发，您需要**保证您的使用是为了学习和交流、且不会用于商业用途**。
- 本软件是免费软件，使用软件过程中出现的问题欢迎咨询，但**因使用本软件产生的一切后果由您自行承担**，开发者不会对本软件承担任何责任。
- 本软件内的 IP 数据来源全部由网络提供，**不会采集您的个人信息**，其中高级探测功能为本软件论坛会员专用功能，不对外开放。
- 由于本软件的特殊性质，某些杀毒软件会干扰程序的正常运作，**如您相信本软件的安全性并希望使用，请放行**。
- **本插件与宿主软件相互独立，不修改原始文件，不向普通用户开放，免费提供给本社区会员，仅供个人用户学习研究软件原理，不允许商业使用，切勿用于不法之目的，本插件开发者保留最终解释权。**
- 本软件开发者对上述条约享有最终解释权，请您遵守。本软件并非强制您安装使用，也没有垄断行为，**若您不同意上述条款，请勿使用、并立刻删除本软件的相关文件**。

# Setup

### 使用前说明
- 相信您作为希望使用本软件的用户，一定具有一定的计算机方面的兴趣和知识，有任何疑问请尝试在社区和电报群反馈，发现疑似 BUG 请在 issue 里提出。
- 使用 DIY 插件或是 QQ 机器人类软件，无论是在手机端还是在 PC 端都有被官方封号冻结的风险，所以有以下一些建议。
- 建议您为自己的账号绑定手机号和密保等安全措施，手机上**推荐一定**要安装 **QQ安全中心** APP，绑定自己的账号，如此一来即使账号被冻结可以随时手动简单解封。
- 建议您使用本插件推荐的最佳兼容版本的 QQ 的官方版本，自行提取 QQ 安装包内文件并配置本插件，不要使用一些来源不明的版本。
- 建议您多多关注插件的相关动态，插件目前不会强制您更新，也没有更新提示，但是一旦有更新请及时更换最新版本不要使用旧版。
- 由于 QQ 官方近日封锁了旧版 QQ 的版本通道，使用本插件的破解登录和版本号伪造功能可能会导致 QQ 被冻结，所以请使用与插件兼容的、可登录的 QQ 官方的最新版本配合插件使用。


### 安装说明
请提取 QQ/TIM 安装包内的主要文件（QQ 本体和 TXSSO），再将本插件的下述文件放入直接放入 QQ 原版 Bin 目录。

### 文件介绍
下列文件是本插件的相关文件及说明：
- QQ/bin/msimg32.dll（**必须**，程序载入点）
- QQ/bin/NtrQQ/
- - NtrQQ/NtrQQ.dll（**必须**，本插件主程序）
- - NtrQQ/NtrQQ.ini（**必须**，本插件主配置文件）
- - NtrQQ/Plugin.ini（**必须**，QQ插件管理配置文件）
- - NtrQQ/Version.ini（**必须**，QQ版本号数据配置文件）
- - NtrQQ/Verify.ini（可选，本插件高级功能验证配置文件）
- - NtrQQ/ShowIP.exe（可选，纯真IP数据库管理器）
- - NtrQQ/qqwry.dat（可选，纯真IP数据库文件）
- - NtrQQ/location.loc（可选，LoCi格式IP数据库文件）

### 高级功能开启方法
- 用记事本打开`NtrQQ/Verify.ini`配置文件
- 在`[NTRQQ]`节的`UID=`后，输入您的论坛ID（数字）
- 打开网页 https://iya.app/md5.html
- 输入您的论坛登陆密码，点击计算
- 在`[NTRQQ]`节的`PWD=`后，复制刚才计算出的MD5值
- 重启QQ后随意打开一个好友的聊天窗口，在窗口边框处右击即可看到高级功能的菜单

# New Features
### NtrQQ 7.1.2

- 兼容 QQ9.3.3 & TIM3.0.0 (请使用原版安装包绿色提取)
- 修复 某些系统环境下可能不稳定的问题
- 修复 勋章墙破解失效的问题
- 优化 内存补丁采用实时补丁方式代替预加载补丁方式
- 优化 默认关闭 Aero 特效相关选项
- 更新 QQ版本号数据库至 2020-05-16

### NtrQQ 7.1.1

- 修复 在某些情况下 DPI 选项失效问题 (彻底解决)
- 修复 任务栏图标无法显示头像仅显示为企鹅的问题
- 修复 添加好友面板有几率显示为旧版的问题
- 日期 2020-05-04

### NtrQQ 7.1.0

- 兼容 QQ9.3.2 & TIM3.0.0 (请使用原版安装包绿色提取)
- 兼容 WinVista 或更高系统 (XP 实在是无力支持了)
- 新增 Toast 消息点击可跳转到好友聊天窗 (仅支持 Win10)
- 新增 Toast 消息可快捷回复 (仅支持 Win10)
- 新增 插件检查更新功能
- 新增 去除主面板红点功能
- 修复 破解主面板大小失效的问题
- 修复 去除QQ秀功能失效的问题
- 修复 QQ DPI 匹配选项失效的问题
- 修复 TIM 好友管理器和群发功能崩溃的问题
- 修复 内存整理失效的问题
- 修复 发送无限抖动失效的问题
- 修复 群昵称有时空白的问题
- 修复 打开讨论组有时会崩溃的问题
- 优化 本地会员的实现
- 优化 更换 json 解析库 (弃用 rapidjson)
- 更新 QQ版本号数据库至 2020-04-23

### NtrQQ 7.0.0
- 兼容 QQ9.2.5 & TIM3.0.0 (请使用原版提取)
- 兼容 WinXP 或更高系统 (感谢 VC-LTL 项目)
- 新增 Toast 消息提醒功能 (支持 Win8.1 或更高系统)
- 新增 原生聊天窗口右键菜单
- 修复 高分辨率屏幕字体过小 (DPI 适配)
- 修复 TIM 右键菜单有时错误的问题
- 修复 默认关闭版本号伪造和破解登录功能 (可能会导致账号冻结)
- 提示 本版配置文件与旧版不同请覆盖配置文件
- 更新 QQ版本号数据库至 2020-04-02

### NtrQQ 6.2.0
- 兼容 QQ9.2.3 (暂未适配去校验补丁请自行解决)
- 兼容 WinXP 或更高系统(感谢VC-LTL项目)
- 修复 高级探测功能失效的问题
- 修复 网络IP库获取失败的问题
- 更新 QQ版本号数据库至 2020-02-06

### NtrQQ 6.1.0
- 兼容 QQ9.1.6 或更高版本(更旧版本不再兼容)
- 兼容 Win7/8.1/10 或更高系统(不再兼容 XP)
- 修复 老板键(默认快捷键Ctrl+Q)
- 删除 网络过滤功能
- 更新 QQ版本号数据库至 2019-09-14

### NtrQQ 6.0.0
- 兼容 QQ9.1.6 或更高版本(更旧版本不再兼容)
- 兼容 Win7/8.1/10 或更高系统(不再兼容 XP)
- 修复 高级探测功能
- 修复 好友关系探测功能
- 优化 更换VS2019环境开发
- 优化 重构约六成代码以兼容C++17标准
- 新增 好友节日祝福群发(高级功能开启后可用)
- 问题 暂未解决老板键失效问题
- 更新 QQ版本号数据库至 2019-09-13

### NtrQQ 5.0.3
- 修复 兼容 QQ9.0.7
- 修复 高级探测功能
- 修复 默认高精度IP查询点失效的问题
- 更新 QQ版本号数据库至 2018-11-11

### NtrQQ 5.0.2
- 修复 兼容 QQ9.0.5
- 修复 高级探测功能
- 优化 默认高精度IP查询点显示运营商信息
- 优化 被部分杀软误报的问题
- 更新 QQ版本号数据库至 2018-08-18

### NtrQQ 5.0.1
- 修复 兼容 QQ9.0.4
- 修复 好友关系分析
- 优化 重构近半数代码
- 优化 高级探测功能提交及查询模块
- 优化 默认在线IP库查询点设置为IPIP高精度查询
- 优化 自定义IP查询点支持HTTPS安全协议
- 优化 自定义IP查询点支持POST方式
- 优化 自定义IP查询点改为正则匹配方式
- 新增 批量好友关系分析功能
- 更新 QQ版本号数据库至 2018-06-24

### NtrQQ 5.0.0
- 修复 兼容 QQ9.0.0
- 优化 主程序代码结构
- 更新 QQ版本号数据库至 2018-01-24

# Release Info

>Lance.Moe  
>2020-05-16 (_Tokyo time_ zone)  
>In Tokyo, Japan  

IYA.APP